# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1069.257.3+1.1069.258.28 -> 1.1069.257.4
#	include/linux/sysctl.h	1.23.1.19 -> 1.31.1.7
#	drivers/acpi/dispatcher/dsobject.c	1.21.1.2 -> 1.23.1.1
#	drivers/acpi/executer/exconvrt.c	1.17.1.2 -> 1.19.1.1
#	drivers/acpi/executer/exstoren.c	1.14.1.3 -> 1.17.1.1
#	drivers/acpi/executer/exprep.c	1.14.1.4 -> 1.18.1.1
#	include/acpi/acconfig.h	1.35.1.8 -> 1.37.1.6
#	drivers/net/Makefile	1.29.1.13 -> 1.33.1.8
#	drivers/acpi/parser/psargs.c	1.16.1.3 -> 1.19.1.1
#	drivers/acpi/executer/exfldio.c	1.19.1.5 -> 1.24.1.1
#	drivers/acpi/dispatcher/dsmthdat.c	1.18.1.6 -> 1.21.1.2
#	drivers/acpi/executer/exresolv.c	1.15.1.4 -> 1.19.1.1
#	drivers/acpi/system.c	1.13.1.3 -> 1.17   
#	include/linux/pci_ids.h	1.44.1.40 -> 1.46.1.26
#	   drivers/net/tg3.c	1.61.2.61 -> 1.62.1.13
#	drivers/acpi/executer/exstore.c	1.21.1.3 -> 1.24.1.1
#	drivers/acpi/dispatcher/dsutils.c	1.15.1.3 -> 1.17.1.2
#	drivers/acpi/executer/exoparg2.c	1.17.1.2 -> 1.19.1.1
#	   drivers/net/tg3.h	1.25.1.9 -> 1.27.1.3
#	            Makefile	1.190.7.12 -> 1.193.1.51
#	drivers/acpi/dispatcher/dsopcode.c	1.17.1.6 -> 1.19.1.4
#	drivers/acpi/executer/exmisc.c	1.17.1.3 -> 1.20.1.1
#	drivers/acpi/dispatcher/dswstate.c	1.16.1.3 -> 1.18.1.2
#	drivers/acpi/Config.in	1.9.1.8 -> 1.12.1.6
#	drivers/acpi/executer/exresop.c	1.16.1.4 -> 1.20.1.1
#	Documentation/Configure.help	1.162.1.69 -> 1.166.1.34
#	drivers/acpi/namespace/nsaccess.c	1.18.1.3 -> 1.21.1.1
#
diff -Nru a/Documentation/Configure.help b/Documentation/Configure.help
--- a/Documentation/Configure.help	Wed Mar  3 16:14:17 2004
+++ b/Documentation/Configure.help	Wed Mar  3 16:14:17 2004
@@ -18567,6 +18567,11 @@
   purpose port, say Y here. See
   <http://www.dig64.org/specifications/DIG64_HCDPv10a_01.pdf>.
 
+Support for serial ports defined in ACPI namespace
+CONFIG_SERIAL_ACPI
+  If you wish to enable serial port discovery via the ACPI
+  namespace, say Y here.  If unsure, say N.
+
 Support for PowerMac serial ports
 CONFIG_MAC_SERIAL
   If you have Macintosh style serial ports (8 pin mini-DIN), say Y
diff -Nru a/Makefile b/Makefile
--- a/Makefile	Wed Mar  3 16:14:17 2004
+++ b/Makefile	Wed Mar  3 16:14:17 2004
@@ -93,6 +93,7 @@
 
 CFLAGS := $(CPPFLAGS) -Wall -Wstrict-prototypes -Wno-trigraphs -O2 \
 	  -fno-strict-aliasing -fno-common
+CFLAGS += -g
 ifndef CONFIG_FRAME_POINTER
 CFLAGS += -fomit-frame-pointer
 endif
@@ -307,8 +308,7 @@
 	$(CONFIG_SHELL) scripts/Configure -d arch/$(ARCH)/config.in
 
 xconfig: symlinks
-	$(MAKE) -C scripts kconfig.tk
-	wish -f scripts/kconfig.tk
+	@echo -e "***\n* Sorry, xconfig is broken; use \"make menuconfig\" instead.\n***"
 
 menuconfig: include/linux/version.h symlinks
 	$(MAKE) -C scripts/lxdialog all
diff -Nru a/include/linux/sysctl.h b/include/linux/sysctl.h
--- a/include/linux/sysctl.h	Wed Mar  3 16:14:17 2004
+++ b/include/linux/sysctl.h	Wed Mar  3 16:14:17 2004
@@ -156,6 +156,7 @@
 	VM_MAPPED_RATIO=20,     /* amount of unfreeable pages that triggers swapout */
 	VM_LAPTOP_MODE=21,	/* kernel in laptop flush mode */
 	VM_BLOCK_DUMP=22,	/* dump fs activity to log */
+	VM_HUGETLB_PAGES=23,	/* int: Number of available Huge Pages */
 };
 
 
